Imports System.Threading

Module NameThreads
    Public A As Thread
    Public B As Thread
    Public C As Thread

    Sub Display()
        For I As Integer= 0 To 100
            Console.Write(Thread.CurrentThread.Name)
        Next
    End Sub

    Sub Main()
        A = New Thread(AddressOf Display)
        B = New Thread(AddressOf Display)
        C = New Thread(AddressOf Display)

        A.Name = "A"
        A.Start()

        B.Name = "B"
        B.Start()

        C.Name = "C"
        C.Start()

        Console.ReadLine()  
    End Sub

End Module
